MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
CurlResponseHandler Class Referenceabstract

`#include <Handler.hxx>`

## Public Member Functions
virtual void | OnHeaders (unsigned status, std::multimap< std::string, std::string > &&headers)=0
virtual void | OnData (ConstBuffer< void > data)=0
virtual void | OnEnd ()=0
virtual void | OnError (std::exception_ptr e)=0

## Detailed Description

Definition at line 39 of file Handler.hxx.

## Member Function Documentation

virtual void CurlResponseHandler::OnData | ( | ConstBuffer< void > | data | ) |
| pure virtual

virtual void CurlResponseHandler::OnEnd | ( |  | ) |
| pure virtual

virtual void CurlResponseHandler::OnError | ( | std::exception_ptr | e | ) |
| pure virtual

virtual void CurlResponseHandler::OnHeaders | ( | unsigned | status,
|  | std::multimap< std::string, std::string > && | headers
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- lib/curl/Handler.hxx